Bug 58100 - mono_w32socket_convert_error: no translation into winsock error for (6) "Device not configured"
Summary: mono_w32socket_convert_error: no translation into winsock error for (6) "Devi...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: 5.0 (2017-02)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-07-12 09:18 UTC by izcream
Modified: 2017-07-12 16:42 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description izcream 2017-07-12 09:18:43 UTC
GT-MP Server mono GrandTheftMultiplayer.Server.exe 
15:48:27.058 |  Info | Program | Grand Theft Multiplayer Server v0.1.513.599 
15:48:27.081 |  Info | Program |   Interface:         0.0.0.0 
15:48:27.081 |  Info | Program |   Port:                 4499 
15:48:27.082 |  Info | Program |   Name:      Simple Grand Theft Multiplayer Server 
15:48:27.082 |  Info | Program |   FQDN:                      
15:48:27.082 |  Info | Program |   Players:                50 
15:48:27.083 |  Info | Program |   Announce:             True 
15:48:27.083 |  Info | Program | Starting... 
mono_w32socket_convert_error: no translation into winsock error for (6) "Device not configured"
Stacktrace:

  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) System.Net.Sockets.Socket.IOControl_internal (intptr,int,byte[],byte[],int&) <0x00012>
  at System.Net.Sockets.Socket.IOControl_internal (System.Net.Sockets.SafeSocketHandle,int,byte[],byte[],int&) [0x00010] in <5afdc70d980c4033b3878286f754d091>:0
  at System.Net.Sockets.Socket.IOControl (int,byte[],byte[]) [0x00019] in <5afdc70d980c4033b3878286f754d091>:0
  at Lidgren.Network.NetPeer.BindSocket (bool) [0x000d3] in <fccd52c0385246c2995a242f194629c4>:0
  at Lidgren.Network.NetPeer.InitializeNetwork () [0x00075] in <fccd52c0385246c2995a242f194629c4>:0
  at Lidgren.Network.NetPeer.Start () [0x0004e] in <fccd52c0385246c2995a242f194629c4>:0
  at GrandTheftMultiplayer.Server.GameServer.‏​‏‏‎‎‎‎​‍‎‍‌‏‏​‌ (Lidgren.Network.NetPeer) [0x00000] in <b88b9c3ed3e54e3b8ee97064d5e438e8>:0
  at GrandTheftMultiplayer.Server.GameServer.Start (string[]) [0x00000] in <b88b9c3ed3e54e3b8ee97064d5e438e8>:0
  at GrandTheftMultiplayer.Server.Program.Main (string[]) [0x00218] in <b88b9c3ed3e54e3b8ee97064d5e438e8>:0
  at (wrapper runtime-invoke) <Module>.runtime_invoke_void_object (object,intptr,intptr,intptr) [0x0004e] in <b88b9c3ed3e54e3b8ee97064d5e438e8>:0

Native stacktrace:

	0   mono                                0x0018ea54 mono_handle_native_crash + 324
	1   mono                                0x001ee873 sigabrt_signal_handler + 147
	2   libsystem_platform.dylib            0xa1733e5b _sigtramp + 43
	3   ???                                 0xffffffff 0x0 + 4294967295
	4   libsystem_c.dylib                   0xa15b9a34 abort + 141
	5   mono                                0x0036e4ec mono_log_write_logfile + 380
	6   mono                                0x00368d52 structured_log_adapter + 50
	7   mono                                0x00386e4a monoeg_g_log + 106
	8   mono                                0x001fe4bc mono_w32socket_ioctl + 716
	9   mono                                0x0029ebfd ves_icall_System_Net_Sockets_Socket_IOControl_internal + 221
	10  ???                                 0x0309b430 0x0 + 50967600
	11  ???                                 0x0309b394 0x0 + 50967444
	12  ???                                 0x0309b27c 0x0 + 50967164
	13  ???                                 0x030980b0 0x0 + 50954416
	14  ???                                 0x030966d8 0x0 + 50947800
	15  ???                                 0x030963c4 0x0 + 50947012
	16  ???                                 0x03096304 0x0 + 50946820
	17  ???                                 0x03095b1c 0x0 + 50944796
	18  ???                                 0x02c61d30 0x0 + 46538032
	19  ???                                 0x02c62277 0x0 + 46539383
	20  mono                                0x000d4dc5 mono_jit_runtime_invoke + 1557
	21  mono                                0x002ec410 do_runtime_invoke + 96
	22  mono                                0x002efcc7 do_exec_main_checked + 151
	23  mono                                0x002ee999 mono_runtime_run_main_checked + 73
	24  mono                                0x001500e7 mono_jit_exec + 311
	25  mono                                0x00152a52 mono_main + 9410
	26  mono                                0x000c416b main + 2011
	27  mono                                0x000c3985 start + 53
	28  ???                                 0x00000002 0x0 + 2

Debug info from gdb:

(lldb) command source -s 0 '/tmp/mono-gdb-commands.J6f37C'
Executing commands in '/tmp/mono-gdb-commands.J6f37C'.
(lldb) process attach --pid 690
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Applications/Xcode.app/Contents/SharedFrameworks/LLDB.framework/Resources/Python/lldb/__init__.py", line 98, in <module>
    import six
ImportError: No module named six
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
warning: (i386) /Library/Frameworks/Mono.framework/Versions/5.0.1/lib/mono/4.5/mscorlib.dll.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Process 690 stopped
* thread #1, name = 'tid_403', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0xa1659c4a libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0xa1659c4a <+10>: jae    0xa1659c5a                ; <+26>
    0xa1659c4c <+12>: calll  0xa1659c51                ; <+17>
    0xa1659c51 <+17>: popl   %edx
    0xa1659c52 <+18>: movl   0x58d53d7(%edx), %edx

Executable module set to "/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono".
Architecture set to: i386-apple-macosx.
(lldb) thread list
Process 690 stopped
* thread #1: tid = 0x16d8, 0xa1659c4a libsystem_kernel.dylib`__wait4 + 10, name = 'tid_403', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  thread #2: tid = 0x16d9, 0xa165930e libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'SGen worker'
  thread #3: tid = 0x16db, 0xa165195a libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'Finalizer'
  thread #4: tid = 0x16dc, 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #5: tid = 0x16dd, 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #6: tid = 0x16de, 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #7: tid = 0x16e9, 0xa165930e libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'Timer-Scheduler'
  thread #8: tid = 0x16ea, 0xa165ac42 libsystem_kernel.dylib`__poll + 10, name = 'tid_2f03'
(lldb) thread backtrace all
* thread #1, name = 'tid_403', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0xa1659c4a libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0xa15d82ef libsystem_c.dylib`waitpid$UNIX2003 + 32
    frame #2: 0x0018eb27 mono`mono_handle_native_crash(signal=<unavailable>, ctx=0xbff3ef6c, info=0xbff3ef2c) at mini-exceptions.c:2567 [opt]
    frame #3: 0x001ee873 mono`sigabrt_signal_handler(_dummy=<unavailable>, _info=<unavailable>, context=<unavailable>) at mini-posix.c:208 [opt]

  thread #2, name = 'SGen worker'
    frame #0: 0xa165930e libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0xa173deb0 libsystem_pthread.dylib`_pthread_cond_wait + 647
    frame #2: 0xa173f844 libsystem_pthread.dylib`pthread_cond_wait$UNIX2003 + 51
    frame #3: 0x00364fb1 mono`thread_func [inlined] mono_os_cond_wait(mutex=0x0045ac8c) at mono-os-mutex.h:146 [opt]
    frame #4: 0x00364f9f mono`thread_func(thread_data=0x00000000) at sgen-thread-pool.c:129 [opt]
    frame #5: 0xa173d047 libsystem_pthread.dylib`_pthread_body + 184
    frame #6: 0xa173cf8f libsystem_pthread.dylib`_pthread_start + 243
    frame #7: 0xa173c84a libsystem_pthread.dylib`thread_start + 34

  thread #3, name = 'Finalizer'
    frame #0: 0xa165195a libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x002e4976 mono`finalizer_thread [inlined] mono_os_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) at mono-os-semaphore.h:90 [opt]
    frame #2: 0x002e4968 mono`finalizer_thread [inlined] mono_coop_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) at mono-coop-semaphore.h:40 [opt]
    frame #3: 0x002e495e mono`finalizer_thread(unused=0x00000000) at gc.c:907 [opt]
    frame #4: 0x002b4ce4 mono`start_wrapper [inlined] start_wrapper_internal at threads.c:837 [opt]
    frame #5: 0x002b4ba2 mono`start_wrapper(data=<unavailable>) at threads.c:889 [opt]
    frame #6: 0x0037bbf0 mono`inner_start_thread(data=<unavailable>) at mono-threads.c:1170 [opt]
    frame #7: 0xa173d047 libsystem_pthread.dylib`_pthread_body + 184
    frame #8: 0xa173cf8f libsystem_pthread.dylib`_pthread_start + 243
    frame #9: 0xa173c84a libsystem_pthread.dylib`thread_start + 34

  thread #4
    frame #0: 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0xa173cb95 libsystem_pthread.dylib`_pthread_wqthread + 841
    frame #2: 0xa173c826 libsystem_pthread.dylib`start_wqthread + 34

  thread #5
    frame #0: 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0xa173cd06 libsystem_pthread.dylib`_pthread_wqthread + 1210
    frame #2: 0xa173c826 libsystem_pthread.dylib`start_wqthread + 34

  thread #6
    frame #0: 0xa1659cba libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0xa173cd06 libsystem_pthread.dylib`_pthread_wqthread + 1210
    frame #2: 0xa173c826 libsystem_pthread.dylib`start_wqthread + 34

  thread #7, name = 'Timer-Scheduler'
    frame #0: 0xa165930e libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0xa173deb0 libsystem_pthread.dylib`_pthread_cond_wait + 647
    frame #2: 0xa173f844 libsystem_pthread.dylib`pthread_cond_wait$UNIX2003 + 51
    frame #3: 0x002d9788 mono`mono_os_cond_timedwait [inlined] mono_os_cond_wait(cond=0x79941ce8, mutex=0x79941cbc) at mono-os-mutex.h:146 [opt]
    frame #4: 0x002d977c mono`mono_os_cond_timedwait(cond=<unavailable>, mutex=<unavailable>, timeout_ms=<unavailable>) at mono-os-mutex.h:160 [opt]
    frame #5: 0x002d835b mono`mono_w32handle_timedwait_signal_handle [inlined] mono_w32handle_timedwait_signal_naked(cond=<unavailable>, mutex=<unavailable>, timeout=4294967295, poll=0, alerted=<unavailable>) at w32handle.c:973 [opt]
    frame #6: 0x002d8350 mono`mono_w32handle_timedwait_signal_handle(poll=0, handle=<unavailable>, timeout=<unavailable>, alerted=<unavailable>) at w32handle.c:1088 [opt]
    frame #7: 0x002d81f8 mono`mono_w32handle_wait_one(handle=<unavailable>, timeout=4294967295, alertable=<unavailable>) at w32handle.c:1207 [opt]
    frame #8: 0x002d84e0 mono`mono_w32handle_wait_multiple(handles=<unavailable>, nhandles=<unavailable>, waitall=<unavailable>, timeout=<unavailable>, alertable=<unavailable>) at w32handle.c:1241 [opt]
    frame #9: 0x002ae382 mono`mono_wait_uninterrupted(thread=<unavailable>, numhandles=<unavailable>, handles=<unavailable>, waitall=<unavailable>, ms=<unavailable>, error=<unavailable>) at threads.c:1868 [opt]
    frame #10: 0x002ae6b3 mono`ves_icall_System_Threading_WaitHandle_WaitOne_internal(handle=0x00000402, ms=<unavailable>) at threads.c:1993 [opt]
    frame #11: 0x02c46328
    frame #12: 0x018dab35 mscorlib.dll.dylib`System_Threading_WaitHandle_WaitOneNative_System_Runtime_InteropServices_SafeHandle_uint_bool_bool + 85
    frame #13: 0x018db210 mscorlib.dll.dylib`System_Threading_WaitHandle_InternalWaitOne_System_Runtime_InteropServices_SafeHandle_long_bool_bool + 64
    frame #14: 0x018db1bf mscorlib.dll.dylib`System_Threading_WaitHandle_WaitOne_long_bool + 63
    frame #15: 0x018daf52 mscorlib.dll.dylib`System_Threading_WaitHandle_WaitOne_int_bool + 66
    frame #16: 0x018db12d mscorlib.dll.dylib`System_Threading_WaitHandle_WaitOne_int + 45
    frame #17: 0x018da80d mscorlib.dll.dylib`System_Threading_Timer_Scheduler_SchedulerThread + 3165
    frame #18: 0x018e984c mscorlib.dll.dylib`System_Threading_ThreadHelper_ThreadStart_Context_object + 140
    frame #19: 0x018e3108 mscorlib.dll.dylib`System_Threading_ExecutionContext_RunInternal_System_Threading_ExecutionContext_System_Threading_ContextCallback_object_bool + 392
    frame #20: 0x018e2f74 mscorlib.dll.dylib`System_Threading_ExecutionContext_Run_System_Threading_ExecutionContext_System_Threading_ContextCallback_object_bool + 52
    frame #21: 0x018e2ee3 mscorlib.dll.dylib`System_Threading_ExecutionContext_Run_System_Threading_ExecutionContext_System_Threading_ContextCallback_object + 83
    frame #22: 0x018e999a mscorlib.dll.dylib`System_Threading_ThreadHelper_ThreadStart + 58
    frame #23: 0x02789623
    frame #24: 0x000d4dc5 mono`mono_jit_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=<unavailable>, error=<unavailable>) at mini-runtime.c:2533 [opt]
    frame #25: 0x002ec410 mono`do_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:2860 [opt]
    frame #26: 0x002ee027 mono`mono_runtime_delegate_try_invoke [inlined] mono_runtime_try_invoke(method=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:2971 [opt]
    frame #27: 0x002ee01d mono`mono_runtime_delegate_try_invoke(delegate=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:3961 [opt]
    frame #28: 0x002ee062 mono`mono_runtime_delegate_invoke_checked(delegate=0x008ed3c8, params=0xb0acaf04, error=0xb0acaf08) at object.c:3984 [opt]
    frame #29: 0x002b4dd6 mono`start_wrapper [inlined] start_wrapper_internal at threads.c:845 [opt]
    frame #30: 0x002b4ba2 mono`start_wrapper(data=<unavailable>) at threads.c:889 [opt]
    frame #31: 0x0037bbf0 mono`inner_start_thread(data=<unavailable>) at mono-threads.c:1170 [opt]
    frame #32: 0xa173d047 libsystem_pthread.dylib`_pthread_body + 184
    frame #33: 0xa173cf8f libsystem_pthread.dylib`_pthread_start + 243
    frame #34: 0xa173c84a libsystem_pthread.dylib`thread_start + 34

  thread #8, name = 'tid_2f03'
    frame #0: 0xa165ac42 libsystem_kernel.dylib`__poll + 10
    frame #1: 0x02cc6433 libMonoPosixHelper.dylib`Mono_Unix_UnixSignal_WaitAny [inlined] wait_for_any at signal.c:479 [opt]
    frame #2: 0x02cc6420 libMonoPosixHelper.dylib`Mono_Unix_UnixSignal_WaitAny(_signals=<unavailable>, count=<unavailable>, timeout=-1, shutting_down=<unavailable>) at signal.c:529 [opt]
    frame #3: 0x02cb5d00
    frame #4: 0x02cb5ba4
    frame #5: 0x02cb5a68
    frame #6: 0x02cb41c8
    frame #7: 0x018e984c mscorlib.dll.dylib`System_Threading_ThreadHelper_ThreadStart_Context_object + 140
    frame #8: 0x018e3108 mscorlib.dll.dylib`System_Threading_ExecutionContext_RunInternal_System_Threading_ExecutionContext_System_Threading_ContextCallback_object_bool + 392
    frame #9: 0x018e2f74 mscorlib.dll.dylib`System_Threading_ExecutionContext_Run_System_Threading_ExecutionContext_System_Threading_ContextCallback_object_bool + 52
    frame #10: 0x018e2ee3 mscorlib.dll.dylib`System_Threading_ExecutionContext_Run_System_Threading_ExecutionContext_System_Threading_ContextCallback_object + 83
    frame #11: 0x018e999a mscorlib.dll.dylib`System_Threading_ThreadHelper_ThreadStart + 58
    frame #12: 0x02789623
    frame #13: 0x000d4dc5 mono`mono_jit_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=<unavailable>, error=<unavailable>) at mini-runtime.c:2533 [opt]
    frame #14: 0x002ec410 mono`do_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:2860 [opt]
    frame #15: 0x002ee027 mono`mono_runtime_delegate_try_invoke [inlined] mono_runtime_try_invoke(method=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:2971 [opt]
    frame #16: 0x002ee01d mono`mono_runtime_delegate_try_invoke(delegate=<unavailable>, params=<unavailable>, exc=<unavailable>, error=<unavailable>) at object.c:3961 [opt]
    frame #17: 0x002ee062 mono`mono_runtime_delegate_invoke_checked(delegate=0x00913df8, params=0xb0bccf04, error=0xb0bccf08) at object.c:3984 [opt]
    frame #18: 0x002b4dd6 mono`start_wrapper [inlined] start_wrapper_internal at threads.c:845 [opt]
    frame #19: 0x002b4ba2 mono`start_wrapper(data=<unavailable>) at threads.c:889 [opt]
    frame #20: 0x0037bbf0 mono`inner_start_thread(data=<unavailable>) at mono-threads.c:1170 [opt]
    frame #21: 0xa173d047 libsystem_pthread.dylib`_pthread_body + 184
    frame #22: 0xa173cf8f libsystem_pthread.dylib`_pthread_start + 243
    frame #23: 0xa173c84a libsystem_pthread.dylib`thread_start + 34
(lldb) detach

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

[1]    690 abort      mono GrandTheftMultiplayer.Server.exe
Process 690 detached                                                                                                    
(lldb) quit
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'lldb' is not defined
Comment 1 Ludovic Henry 2017-07-12 16:42:40 UTC
Fixed with https://github.com/mono/mono/pull/5199

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.